Bug 803727 - silent ps -o pid,user,context,args -C matahari-brokerd
silent ps -o pid,user,context,args -C matahari-brokerd
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: procps (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Jaromír Cápík
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 10:17 EDT by Milos Malik
Modified: 2016-01-31 20:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 07:43:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2012-03-15 10:17:24 EDT
Description of problem:


Version-Release number of selected component (if applicable):
RHEL6.3-20120313.n.0
procps-3.2.8-21.el6.x86_64

How reproducible:
always

Steps to Reproduce:
# service matahari-broker start
Starting Matahari broker daemon:                           [  OK  ]
# ps -efZ | grep mata
unconfined_u:system_r:qpidd_t:s0 qpidd    4272     1  0 14:14 ?        00:00:00 /usr/sbin/matahari-brokerd --port=49000 --data-dir=/var/lib/matahari --no-module-dir --load-module=/usr/lib64/qpid/daemon/ssl.so --pid-dir /var/run/matahari --config /etc/matahari-broker.conf --daemon
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 4287 4173  0 14:14 pts/0 00:00:00 grep mata
# ps -o pid,user,context,args -C matahari-brokerd
  PID USER     CONTEXT                         COMMAND
# ps -efZ | grep mata
unconfined_u:system_r:qpidd_t:s0 qpidd    4272     1  0 14:14 ?        00:00:00 /usr/sbin/matahari-brokerd --port=49000 --data-dir=/var/lib/matahari --no-module-dir --load-module=/usr/lib64/qpid/daemon/ssl.so --pid-dir /var/run/matahari --config /etc/matahari-broker.conf --daemon
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 4290 4173  0 14:14 pts/0 00:00:00 grep mata
# service matahari-broker status
qpidd (pid  4272) is running...
# 
  
Actual results:
* "ps -o pid,user,context,args -C matahari-brokerd" does not print info about matahari-brokerd

Expected results:
* "ps -o pid,user,context,args -C matahari-brokerd" prints info about matahari-brokerd
Comment 2 RHEL Product and Program Management 2012-07-10 02:46:50 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 21:56:47 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 Ondrej Oprala 2012-09-04 07:43:32 EDT
This actually isn't a bug, as the ps -C switch looks up processes based on their command name, which in this case is qpidd, which is forked after running the service, not matahari-brokerd. The grep match above actually matches one of qpidd's arguments. Closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.